%define upstream_name    Dist-Zilla-Plugin-MatchManifest
%define upstream_version 4.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Ensure that MANIFEST is correct
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.101.780
BuildRequires: perl(Dist::Zilla::Tester) >= 4.102.343
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(Moose) >= 0.650.0
BuildRequires: perl(Moose::Autobox) >= 0.90.0
BuildRequires: perl(Test::Fatal) >= 0.3.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Diff)
BuildRequires: perl(autodie)
BuildArch:  noarch

%description
If included, this plugin will ensure that the distribution contains a
_MANIFEST_ file and that its contents match the files collected by
Dist::Zilla. If not, it will display the differences and (if STDIN & STDOUT
are TTYs) offer to update the _MANIFEST_.

As I see it, there are 2 problems that a MANIFEST can protect against:

* 1.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Feb 25 2011 jquelin <jquelin> 4.0.0-1.mga1
+ Revision: 59705
- update to 4.00

* Wed Jan 26 2011 jquelin <jquelin> 0.30.0-2.mga1
+ Revision: 40466
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-MatchManifest

